Bug Hunting Session
Bug 114034 - .docx import: position of image different in original and .docx saved by MSO when opened by MSO, LO opens both similarly - docx created with old LO
Summary: .docx import: position of image different in original and .docx saved by MSO ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Images
  Show dependency treegraph
 
Reported: 2017-11-24 18:10 UTC by Frederic Parrenin
Modified: 2018-12-10 10:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
.docx file to reproduce the problem (68.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-11-24 18:11 UTC, Frederic Parrenin
Details
PDF showing the test doc open in Writer (107.61 KB, application/pdf)
2017-11-27 04:43 UTC, Kevin Suo
Details
PDF showing the test doc open in MSO 2010 (228.47 KB, application/pdf)
2017-11-27 04:43 UTC, Kevin Suo
Details
.docx file compared to .DOCX saved and reopened by MSO (82.06 KB, image/jpeg)
2018-11-28 12:16 UTC, Timur
Details
.docx file opened by LO compared to .DOCX saved by MSO and opened by LO (92.27 KB, image/jpeg)
2018-11-28 12:20 UTC, Timur
Details
.docx file saved again in MSO 2016 (94.34 KB, application/vnd.ms-word.document)
2018-11-28 12:24 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederic Parrenin 2017-11-24 18:10:43 UTC
Description:
When opening the attached .docx file in Word and Writer, the image is not placed in the same way.

Steps to Reproduce:
1. Open the attached .docx file in Writer
2. Open it in Word
3. Compare

Actual Results:  
In Writer, the image is placed under "French LIA manager"
In Word, the image is placed left of "Scientific coordinator of the project"

Expected Results:
The position of the image in Writer should be the same than in Word


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Frederic Parrenin 2017-11-24 18:11:21 UTC
Created attachment 137968 [details]
.docx file to reproduce the problem
Comment 2 Dieter Praas 2017-11-24 19:28:14 UTC
There are some bugs with a similar summary. Perhaps you can check, if there is a duplicate or not, for example bug 94353 or bug 96622
Comment 3 Kevin Suo 2017-11-27 04:42:31 UTC
I can reproduce this on recent master.

Version: 6.1.0.0.alpha0+
Build ID:d8c0051c6c0400aae6e0a440e83c2c29979347f7
CPU 线程:4; 操作系统:Linux 4.13; UI 渲染:默认; VCL: gtk2; 
Locale: zh-CN (zh_CN.UTF-8); Calc: group threaded
Comment 4 Kevin Suo 2017-11-27 04:43:19 UTC
Created attachment 138009 [details]
PDF showing the test doc open in Writer
Comment 5 Kevin Suo 2017-11-27 04:43:48 UTC
Created attachment 138010 [details]
PDF showing the test doc open in MSO 2010
Comment 6 QA Administrators 2018-11-28 03:48:44 UTC Comment hidden (obsolete)
Comment 7 Dieter Praas 2018-11-28 07:02:02 UTC
Still repro in

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

in comparison to Word 2016
Comment 8 Timur 2018-11-28 12:16:55 UTC
Created attachment 147090 [details]
.docx file compared to .DOCX saved and reopened by MSO

This bug was confirmed too soon in my opinion. 
It's not only about reproducing, but if we open .docx file and save and reopen in MSO 2016, position also changes, as shown on attached comparison. 
Note: this Picture has "Layout in Table Cell" marked.
Comment 9 Timur 2018-11-28 12:20:09 UTC
Created attachment 147091 [details]
.docx file opened by LO compared to .DOCX saved by MSO and opened by LO

Unlike MSO, which opens original .docx and it's own saved .docx differently, LO opens both similarly. 
I don't think this should be "fixed" and I'm not sure if fix is possible. 
There are a number of similar bugs. I'm prone to closing them as WontFix. 
I'll do it here. 
If someone objects, please explain how LO should behave and what fix should do if MSO has differences.
Comment 10 Timur 2018-11-28 12:24:11 UTC
Created attachment 147092 [details]
.docx file saved again in MSO 2016
Comment 11 Timur 2018-12-10 10:27:25 UTC
This report was wrong from the beginning. DOCX was created with LibreOffice/5.4.2. Correct LO bugs are only with source .odt saved as .docx.